petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabGenerateHierarchy

Generate a multi-level uniform refinement hierarchy by succesively refining a coarse mesh, already defined in the DM object provided by the user.

### Synopsis

    PetscErrorCode DMMoabGenerateHierarchy(DM dm, PetscInt nlevels, PetscInt *ldegrees)

Collective on MPI_Comm

### Input Parameter

| dmb | - The DMMoab object

### Output Parameter

| nlevels | - The number of levels of refinement needed to generate the hierarchy
| ldegrees | - The degree of refinement at each level in the hierarchy

### Keywords

DMMoab, create, refinement

### Level

beginner

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages